### Constructor

# Gtk Printer new

#### Declaration [src]

    GtkPrinter*
    gtk_printer_new (
      const char* name,
      GtkPrintBackend* backend,
      gboolean virtual_
    )

#### Description [src]

Creates a new `GtkPrinter`.

#### Parameters

`name` | `const char*`
| The name of the printer.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`backend` | `GtkPrintBackend`
| A `GtkPrintBackend`.
| The data is owned by the caller of the function.
`virtual_` | `gboolean`
| Whether the printer is virtual.

#### Return value

Returns: | `GtkPrinter`
| A new `GtkPrinter`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.